//
//  Variant.swift
//  Dealify
//
//  Created by Amine  on 1/26/21.
//  Copyright © 2021 Amine. All rights reserved.
//

import Foundation
import RealmSwift


class VariantGroup: Object {
    
    @objc dynamic var group_label: String = ""
    @objc dynamic var group_type: String = ""
    @objc dynamic var group_id: Int = 0
    @objc dynamic var currency: Currency? = nil
    
    var options: List<VariantOption> = List<VariantOption>()
    
    override static func primaryKey() -> String? {
        return "group_id"
    }
}
